

c-------------------------------------------------------------------

      subroutine MSbartoOnShellPP(mst1msbar,mst2msbar,sttmsbar,
     $     q1, q2, qs,
     $     mtos, xmgl, asmz, mz,
     $     mst1os, mst2os, sttos)

c      include 'ShiftMSbarOSMSt1sqvar.f'
      complex*16 ShiftMSbarOSMSt1sq
     &  , ShiftMSbarOSMSt1sq1
c      include 'ShiftMSbarOSMSt2sqvar.f'
      complex*16 ShiftMSbarOSMSt2sq
     &  , ShiftMSbarOSMSt2sq1
c      include 'ShiftMSbarOSsttvar.f'
      complex*16 ShiftMSbarOSstt
     &  , ShiftMSbarOSstt1

c      include 'varcom2.h'
      double precision mst1, mst2, stt, mgl, mt, cf, gs, eps, pi, mue
      complex*16 i

      common /msbartoos/ mst1, mst2, stt, mgl, mt, cf, gs, eps, pi,
     $	                 mue, i
c      include 'varcom3.h'
      double precision msb1, msb2, stb, mb

      common /msbartoos3/ msb1, msb2, stb, mb

      double precision mst1msbar, mst2msbar, sttmsbar, q1, q2, qs,
     $                 mst1os,    mst2os,    sttos
      double precision mtos, asmz, as, mz, xmgl
      double precision shift1, shift2, shiftx
 
c      write(*,*) 'variables in MSbartoOnShellPP:'
c      write(*,*) real(mst1msbar), real(mst2msbar), real(sttmsbar),
c     $           real(q1), real(q2), real(qs), real(mtos), real(xmgl),
c     $           real(asmz), real(mz)
      eps = 1d-6
      cf = 4d0/3d0
      pi = 3.14159265358979d0
      i = (0d0, 1d0)

      mst1 = mst1msbar
      mst2 = mst2msbar
      stt = sttmsbar
      mt = mtos
      call alphasmt(asmz,mt,mz,as)
      gs = dsqrt(4d0 * pi * as)
      mgl = xmgl

      mue = q1
c      include 'ShiftMSbarOSMSt1sqsum.f'
      ShiftMSbarOSMSt1sq = 
     & + ShiftMSbarOSMSt1sq1()
      shift1 = dreal(ShiftMSbarOSMSt1sq)
      mue = q2
c      include 'ShiftMSbarOSMSt2sqsum.f'
      ShiftMSbarOSMSt2sq = 
     & + ShiftMSbarOSMSt2sq1()
      shift2 = dreal(ShiftMSbarOSMSt2sq)
      mue = qs
c      include 'ShiftMSbarOSsttsum.f'
      ShiftMSbarOSstt = 
     & + ShiftMSbarOSstt1()
      shiftx = dreal(ShiftMSbarOSstt)

      mst1os = dsqrt(mst1**2 - shift1)
      mst2os = dsqrt(mst2**2 - shift2)
      sttos = stt - shiftx



      write(*,*) 
      write(*,*) "MSbar to OnShell"
      write(*,*) "================"
      write(*,*)
      write(*,*) "MSt1, MSt2, stt"
      write(*,*) real(mst1msbar), real(mst2msbar), real(sttmsbar)
      write(*,*) real(mst1os), real(mst2os), real(sttos)
      write(*,*) real(shift1), real(shift2), real(shiftx)
      write(*,*) 

 100  continue

      end
